%define ver      1.0.4
%define rel      14mdk

Summary: The GNU Image Manipulation Program.
Summary(fr): Le programme de manipulation d'images GNU
Name: gimp
Version: %ver
Release: %rel
Copyright: GPL
Group: Graphics
URL: http://www.gimp.org/
Source: ftp://ftp.gimp.org/pub/gimp/v0.99/v%{PACKAGE_VERSION}/gimp-%{PACKAGE_VERSION}.tar.bz2
Source1: gimp.xpm.bz2
Source2: mini-gimp.xpm.bz2
Patch0: gimp-script-logo-patch.bz2
BuildRoot: /var/tmp/%{name}-root
Obsoletes: gimp-data-min
Requires: gtk+ >= 1.2

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.bz2
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.bz2 if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%description -l fr
GIMP est un programme de manipulation d'images pouvant tre utilis pour la
retouche photo, la composition et la cration d'images. Beaucoup de gens le
trouvent trs utile pour la cration de logos et autres graphiques pour des
pages Web. GIMP inclut beaucoup d'outils et de filtres que vous avez l'ha-
bitude de retrouver dans les offres commerciales quivalentes et quelques
extras intressants en plus.

GIMP fournit une grosse bote  outils, incluant des oprations sur les ca-
naux et les couches, des effets, l'dition au pixel et l'antialiasing, les
conversions, tous possdant plusieurs niveaux d'annulation.

Cette version de GIMP est scriptable, mais beaucoup de scripts inclus ici
se basent sur des polices que nous ne pouvons pas distribuer. Le site FTP
de GIMP contient un paquetage de ces fontes que vous pouvez tlcharger et
installer par vous-mmes, paquetage qui contient toutes les polices nces-
saires pour que les scripts inclus fonctionnent. Quelques-unes de ces po-
lices ont des licences inhabituelles; toutes les licences sont documentes
dans le paquetage. Si vous le souhaitez, tlchargez les paquetages depuis
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.bz2 et
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.bz2. Autrement, vous
pouvez choisir des polices dj existantes sur votre systme avant de lan-
cer ces scripts.

%package devel
Summary: GIMP plugin and extension development kit.
Summary(fr): kit de dveloppement pour les plug-ins et extensions de GIMP.
Group: Development/C
Requires: gtk+-devel
Prereq: /sbin/install-info
%description devel
Static libraries and header files for writing GIMP plugins and extensions.
%description -l fr devel
Librairies statiques et fichiers d'en-tte pour l'criture d'extesions et
de plugins pour GIMP.

%package libgimp
Summary: GIMP libraries.
Summary(fr): Librairires de GIMP.
Group: System/Libraries
Copyright: LGPL
%description libgimp
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".
%description -l fr libgimp
Librairires utilises pour la communication entre GIMP et d'autres pro-
grammes qui peuvent fonctionner en tant que plugins pour GIMP.

%prep
%setup -q
%patch0 -p1

%build
libtoolize --force
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=/usr
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

gzip -9 docs/*ps

#cd docs
#make
#cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/{info,lib/menu,include,bin,share/icons/mini},etc/X11/wmconfig}
make prefix=$RPM_BUILD_ROOT/usr install
#cd docs
#make prefix=$RPM_BUILD_ROOT/usr install

# (fg) Not needed anymore
#install RPM/gimp.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gimp
#install RPM/wilbur.xpm $RPM_BUILD_ROOT/usr/share/icons/
#install RPM/mini-wilbur.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/share/icons/wilbur.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/wilbur.xpm

cat >$RPM_BUILD_ROOT/usr/lib/menu/gimp <<EOF
?package(gimp): command="gimp" icon="wilbur.xpm" section="Multimedia/Graphics" \
title="The GIMP" longtitle="The GNU Image Manipulation Program" needs="x11"
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
/usr/bin/gimp
/usr/lib/gimp
/usr/lib/menu/gimp
/usr/share/gimp
%dir /usr/share/icons
/usr/share/icons/wilbur.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/wilbur.xpm
/usr/man/man1/gimp.*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc docs/*.txt docs/*.eps.gz

%files devel
%defattr(-,root,root,755)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/include/*
/usr/bin/gimptool
/usr/man/man1/gimptool.*
/usr/man/man3/*

%post libgimp -p /sbin/ldconfig
%postun libgimp -p /sbin/ldconfig

%files libgimp
%defattr(-,root,root,755)
/usr/lib/lib*.la
/usr/lib/lib*.so.*

%changelog
* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0.4-14mdk
- Somewhat fix the icons

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 1.0.4-13mdk
- patch for the logo script so they use 'avantgarde' font which is
  always installed (at least for western language).
  This should close the feature #39 for now, until gimp 1.2
- make the menu entry use the wilbur.xpm icon
- compressed icons

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-12mdk

- Grrr... Renamed icons because of a conflict with mandrake_desk

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-11mdk

- Weee... Major spec cleanup
- Menu entry
- Icons
- %files list fixes - was badly needed
- Titi sucks, no version in last changelog

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to use our new tools (spechelper) and new namins standards
- add gimp manpage :-(
- compress the postscripts we provide

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen

* Tue Oct 06 1999 Francis Galiegue <francis@mandrakesoft.com>
- Recompiled with gcc instead of pgcc, as the latest introduced bugs

* Thu Sep 02 1999 Francis Galiegue <francis@mandrakesoft.com>
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added gimptool
  to gimp-devel
- put in debug code, forgot to remove it, done
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added aalib
  plugin
* Tue Aug 31 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed a bug in Makefile.in that made /usr/bin/install
  try to strip a shell script...
- gimp now prints

* Sun Apr 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removig the prefix=/usrcd/

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- install binaries stripped by default

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- updated to official 1.0.4 release

* Wed Mar 31 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.4 release
- requires gtk+ >= 1.2

* Sun Mar 14 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.3 release
- updated group

* Mon Apr 20 1998 Marc Ewing <marc@redhat.com>
- include *.xpm and .wmconfig in CVS source
- removed explicit glibc require

* Thu Apr 16 1998 Marc Ewing <marc@redhat.com>
- Handle builds using autogen.sh
- SMP builds
- put in CVS, and tweak for automatic CVS builds

* Sun Apr 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.26

* Sat Apr 11 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.25

* Wed Apr 08 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to version 0.99.24

* Sun Apr 05 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Stop building the docs - they require emacs and
  (even worse), you must run X.

* Fri Mar 27 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.23

* Sat Mar 21 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- No longer requires xdelta, that was a bug on my part
- spec cleanup, changed libgimp copyright, can now be
  built by non-root users, removed some lines in the description

* Fri Mar 20 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.22

* Sun Mar 15 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.21

* Thu Mar 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.20

* Mon Mar 09 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Recompiled with gtk+ 0.99.5
- Now requires gtk+ >= 0.99.5 instead of gtk+ 0.99.4

